package StructuralClass;

import java.util.ArrayList;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class IconTagText extends JceStruct {
    public Action action;
    public ActionBarInfo actionBar;
    static Action cache_action;
    static ActionBarInfo cache_actionBar;
    static ArrayList cache_markLabelList;
    static ShareItem cache_shareItem;
    public String extraType;
    public String imgUrl;
    public ArrayList markLabelList;
    public String reportKey;
    public String reportParams;
    public ShareItem shareItem;
    public byte tagClass;
    public String text;

    static {
        IconTagText.cache_markLabelList = new ArrayList();
        IconTagText.cache_markLabelList.add(new MarkLabel());
        IconTagText.cache_action = new Action();
        IconTagText.cache_actionBar = new ActionBarInfo();
        IconTagText.cache_shareItem = new ShareItem();
    }

    public IconTagText() {
        super();
        this.text = "";
        this.markLabelList = null;
        this.action = null;
        this.imgUrl = "";
        this.extraType = "";
        this.actionBar = null;
        this.tagClass = 0;
        this.reportKey = "";
        this.reportParams = "";
        this.shareItem = null;
    }

    public IconTagText(String arg3, ArrayList arg4, Action arg5, String arg6, String arg7, ActionBarInfo arg8, byte arg9, String arg10, String arg11, ShareItem arg12) {
        super();
        this.text = "";
        this.markLabelList = null;
        this.action = null;
        this.imgUrl = "";
        this.extraType = "";
        this.actionBar = null;
        this.tagClass = 0;
        this.reportKey = "";
        this.reportParams = "";
        this.shareItem = null;
        this.text = arg3;
        this.markLabelList = arg4;
        this.action = arg5;
        this.imgUrl = arg6;
        this.extraType = arg7;
        this.actionBar = arg8;
        this.tagClass = arg9;
        this.reportKey = arg10;
        this.reportParams = arg11;
        this.shareItem = arg12;
    }

    public final void readFrom(c arg4) {
        this.text = arg4.b(0, true);
        this.markLabelList = (ArrayList) arg4.a(IconTagText.cache_markLabelList, 1, false);
        this.action = (Action) arg4.a(IconTagText.cache_action, 2, false);
        this.imgUrl = arg4.b(3, false);
        this.extraType = arg4.b(4, false);
        this.actionBar = (ActionBarInfo) arg4.a(IconTagText.cache_actionBar, 5, false);
        this.tagClass = arg4.a(this.tagClass, 6, false);
        this.reportKey = arg4.b(7, false);
        this.reportParams = arg4.b(8, false);
        this.shareItem = (ShareItem) arg4.a(IconTagText.cache_shareItem, 9, false);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.text, 0);
        if(this.markLabelList != null) {
            arg3.a(this.markLabelList, 1);
        }

        if(this.action != null) {
            arg3.a(this.action, 2);
        }

        if(this.imgUrl != null) {
            arg3.a(this.imgUrl, 3);
        }

        if(this.extraType != null) {
            arg3.a(this.extraType, 4);
        }

        if(this.actionBar != null) {
            arg3.a(this.actionBar, 5);
        }

        arg3.a(this.tagClass, 6);
        if(this.reportKey != null) {
            arg3.a(this.reportKey, 7);
        }

        if(this.reportParams != null) {
            arg3.a(this.reportParams, 8);
        }

        if(this.shareItem != null) {
            arg3.a(this.shareItem, 9);
        }
    }

}

